//uart1.h
#ifndef __UART1_H
#define __UART1_H
#include "stm32f10x.h"
#include <stdio.h>
#define UART1_TX_LEN 100
#define UART1_RX_LEN 50

void UART1_DMA_ON(uint16_t len);
void UART1_DMA_OFF(void);

void UART1_GPIO_Config(void);
void UART1_NVIC_Config(void);
void UART1_DMA_Config(void);
void UART1_MODE_Config(void);
void UART1_Init(void);

#endif
/****************end of the file*****************************/
